Qualcomm Atheros QCA6164 802.11ac Wireless Network Adapter [168c:0041] is not supported

Bug #1436940 reported by Brian Murray on 2015-03-26
362
This bug affects 58 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned
Xenial
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Seth Forshee

Bug Description

The firmware for this card isn't included with Ubuntu. The firmware provided in /lib/firmware/ath10k/QCA6174 in Ubuntu 16.04 crashes when used with this card. This included firmware is likely for the QCA6174 instead of this card, the QCA6164.

Yes, you read that right: the files for the QCA6164 need to be a folder called QCA6174 in order for the card to work. Running "modprobe ath10k_pci" shows that the ath10k_pci module looks for firmware in a folder called QCA6174, but not in any folder called QCA6164.

It seems that before this issue can be resolved, the ath10k_pci module must be changed so that it recognizes firmware for both the QCA6164 and QCA6174, in separate folders.

---------------------------------------------------------------------------

HOW TO GET THIS CARD TO WORK:

1) Use a kernel that supports this card

According to WikiDevi, support for this card was added in kernel 4.3. If you're running Ubuntu 16.04 LTS or above, your kernel is fine; skip to the next step. If you're running Ubuntu 15.10 or below, see https://wiki.ubuntu.com/Kernel/MainlineBuilds for info on installing a newer kernel. Alternatively, you can use backports. This is a lot more work, but if you really need to keep using an older kernel for some reason, there are some guides to installing backports in the comments below.

2) Get rid of the firmware folder for this card that's included with Ubuntu:

    sudo rm -r /lib/firmware/ath10k/QCA6174/

3) Download the latest firmware:

    wget https://github.com/kvalo/ath10k-firmware/archive/master.zip

4) Unzip the downloaded file. Inside the ath10k-firmware-master folder is a folder named QCA6174. Copy the QCA6174 folder to /lib/firmware/ath10k:

    unzip master.zip
    sudo cp -r ath10k-firmware-master/QCA6174/ /lib/firmware/ath10k/

5) Rename two of the firmware files like so:

    cd /lib/firmware/ath10k/QCA6174/hw2.1/
    sudo mv firmware-5.bin_SW_RM.1.1.1-00157-QCARMSWPZ-1 firmware-5.bin
    cd /lib/firmware/ath10k/QCA6174/hw3.0/
    sudo mv firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1 firmware-4.bin

6) Reboot your computer. Run "lshw -C network" to see if your card is recognized. You can delete the files you downloaded earlier:

    cd ~
    rm master.zip
    rm -r ath10k-firmware-master/

I've verified that this works with Ubuntu 16.04 LTS (with kernel 4.4.0-21-generic); let me know if it doesn't work for you in the comments below.

---------------------------------------------------------------------------

Miles Krell

Last updated May 23, 2016

Brian Murray (brian-murray) wrote :
description: updated
Joseph Salisbury (jsalisbury) wrote :
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
tags: added: kernel-da-key
Brian Murray (brian-murray) wrote :

I also tested the latest 4.0 kernel per jsalisbury and while there was an additonal PCI ID listed in the kernel module, the device in this laptop was not.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0-rc5-vivid/

Brian Murray (brian-murray) wrote :

I tried to run "sudo lshw" to gather more information but ran into bug 1437436.

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel that can downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1436940/

Can you try this kernel and see if it allows the wireless device to work? We may have an issue with the firmware, which is being worked on upstream.

Brian Murray (brian-murray) wrote :

Well the module tried to load it encountered an issue loading the firmware.

[ 13.324481] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 13.700984] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[ 13.701006] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-4.bin failed with error -2
[ 13.701010] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-4.bin': -2
[ 13.701105] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-3.bin failed with error -2
[ 13.701108] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-3.bin': -2
[ 13.701180] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/firmware-2.bin failed with error -2
[ 13.701183] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA6174/hw2.1/firmware-2.bin': -2
[ 13.701254] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board.bin failed with error -2
[ 13.701257] ath10k_pci 0000:03:00.0: could not fetch board data (-2)
[ 13.701299] ath10k_pci 0000:03:00.0: could not fetch firmware files (-2)
[ 13.701345] ath10k_pci 0000:03:00.0: could not probe fw (-2)

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Brian. The test kernel was just a test to see if adding just the pci device id would work. It seems it wont. We'll have to monitor the upstream discussion at:

http://permalink.gmane.org/gmane.linux.drivers.ath10k.devel/2057

I'll post to that thread and say we can test the firmware when it's available.

Jason Smith (sddfdds) wrote :

Any news on this? Also affects the wireless in the lenovo z70 series

vasuki (rmvasuki) wrote :

Saw this problem on a Lenovo Edge 15 laptop as well.

lspci -nnk:
02:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0041] (rev 20)
 Subsystem: Lenovo Device [17aa:3545]

lshw -C net
*-network UNCLAIMED
       description: Network controller
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 20
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: latency=0
       resources: memory:e4000000-e41fffff

Tracy Atteberry (tracy-u) wrote :

Seeing this problem with Lenovo Z70 as well.

Kind of stuck on this error from dmesg:
Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2

More info and logs here:
http://askubuntu.com/questions/621345/lenovo-z70-wifi-with-14-04-2-and-kernel-3-16-not-working

Subin (subinraju28) wrote :

Having same issue with Lenovo G50-45 AMD A8 notebook.

01:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0041] (rev 20)
 Subsystem: Lenovo Device [17aa:3545]
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 10)
 Subsystem: Lenovo Device [17aa:3812]
 Kernel driver in use: r8168

Wireless not showing up in Connectivity, only Wired is shown !

Please help to fix the issue.

Other system info..

System: Host: Lenovo-G50-45 Kernel: 3.13.0-52-generic x86_64 (64 bit, gcc: 4.8.2)
Desktop: Gnome Distro: Linux Mint 17.1 Rebecca
Machine: System: LENOVO (portable) product: 80E3 version: Lenovo G50-45
 Mobo: LENOVO model: Lancer 5B2 version: 31900058 WIN Bios: LENOVO version: A2CN27WW(V1.09) date: 12/12/2014
CPU: Quad core AMD A8-6410 APU with AMD Radeon R5 Graphics (-MCP-) cache: 8192 KB flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm) bmips: 15969.6
Clock Speeds: 1: 2000.00 MHz 2: 2000.00 MHz 3: 1400.00 MHz 4: 1000.00 MHz
Graphics: Card: Advanced Micro Devices [AMD/ATI] Mullins [Radeon APU A4-6000 with R2 Graphics] bus-ID: 00:01.0
X.Org: 1.15.1 drivers: ati (unloaded: vesa,radeon) FAILED: fbdev Resolution: 1366x768@76.0hz
GLX Renderer: Gallium 0.4 on llvmpipe (LLVM 3.4, 128 bits) GLX Version: 2.1 Mesa 10.1.3 Direct Rendering: Yes
Audio: Card-1: Advanced Micro Devices [AMD] FCH Azalia Controller driver: snd_hda_intel bus-ID: 00:14.2
 Card-2: Advanced Micro Devices [AMD/ATI] Device 9840 driver: snd_hda_intel bus-ID: 00:01.1
 Sound: Advanced Linux Sound Architecture ver: k3.13.0-52-generic
Network: Card-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
driver: r8168 ver: 8.040.00-NAPI port: 2000 bus-ID: 02:00.0
 IF: eth0 state: up speed: 100 Mbps duplex: full mac: <filter>
 Card-2: Qualcomm Atheros Device 0041 bus-ID: 01:00.0
 IF: N/A state: N/A speed: N/A duplex: N/A mac: N/A
 Card-3: Atheros usb-ID: 0cf3:e300
 IF: N/A state: N/A speed: N/A duplex: N/A mac: N/A
Drives: HDD Total Size: 1000.2GB (0.6% used) 1: id: /dev/sda model: ST1000LM024_HN size: 1000.2GB
Partition: ID: / size: 286G used: 5.7G (3%) fs: ext4 ID: swap-1 size: 3.72GB used: 0.00GB (0%) fs: swap
RAID: No RAID devices detected - /proc/mdstat and md_mod kernel raid module present
Sensors: None detected - is lm-sensors installed and configured?
Info: Processes: 158 Uptime: 9 min Memory: 619.9/3409.9MB Runlevel: 2 Gcc sys: 4.8.2 Client: Shell inxi: 1.8.4

emielke (emielke) wrote :

Having the same problem on a Lenovo Edge 15

  *-network UNCLAIMED
       description: Network controller
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 20
       width: 64 bits
       clock: 33MHz
       capabilities: bus_master cap_list
       configuration: latency=0
       resources: memory:e4000000-e41fffff

02:00.0 Network controller: Qualcomm Atheros Device 0041 (rev 20)
 Subsystem: Lenovo Device 3545
 Flags: bus master, fast devsel, latency 0, IRQ 255
 Memory at e4000000 (64-bit, non-prefetchable) [size=2M]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/8 Maskable+ 64bit-
 Capabilities: [70] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [148] Virtual Channel
 Capabilities: [168] Device Serial Number 00-00-00-00-00-00-00-00
 Capabilities: [178] Latency Tolerance Reporting
 Capabilities: [180] L1 PM Substates

Network controller [0280]: Qualcomm Atheros Device [168c:0041] (rev 20)

Aditya (aditya-dethe) on 2015-06-06
Changed in linux (Ubuntu):
status: Triaged → In Progress
Prashil (pbsureja) on 2015-06-24
Changed in linux (Ubuntu):
status: In Progress → Confirmed
Arpit Jain (arpitkookada) wrote :

Is there any workable solution for this ?

Kees Cook (kees) on 2015-07-12
summary: - Wireless device not listed in driver's PCI IDs
+ Atheros 168c:0041 (Lenovo G50-80) is not supported
summary: - Atheros 168c:0041 (Lenovo G50-80) is not supported
+ Atheros wifi 168c:0041 (Lenovo G50-80) is not supported
Changed in linux (Ubuntu Vivid):
status: New → Confirmed
importance: Undecided → Medium
summary: - Atheros wifi 168c:0041 (Lenovo G50-80) is not supported
+ Atheros wifi 168c:0041 is not supported
description: updated
summary: - Atheros wifi 168c:0041 is not supported
+ Atheros wifi 168c:0041(QCA6164) is not supported
Miles Krell (mileskrell) on 2015-07-13
description: updated

I have the same issue with my new lenovo yoga 3 14".

$lspci -nn | tail -n1
02:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0041] (rev 20)

$ cat /sys/devices/virtual/dmi/id/product_version
Lenovo Yoga 3 14

I also have no rfkill switch, which means that my wireless was hard blocked.
I added my product version into the ideapad-laptop module from git://kernel.ubuntu.com/ubuntu/ubuntu-vivid.git (see attached patch).

Now it is no more hard blocked
$ rfkill list
0: ideapad_wlan: Wireless LAN
        Soft blocked: no
        Hard blocked: no

But still not usable.

I'm willing to test anything you propose.

rmb (ubuntu-loebbrown) on 2015-07-19
description: updated
tags: added: patch
Gauri (tkgauri) wrote :

I have recently purchased lenovo g50-80. It has qualcom atheros qca61x4 wifi card. Can anybody tell when the drivers for this card will be available for ubuntu 15.04?

Affects Lenovo U31-70 also.

my lonovo g50-45 is also having the same bug

description: updated

Hello,

There are still new folks reporting this issue in the Launchpad bug
report[0]. Has there been any progress on the firmware problem reported
in the comment by Kalle Valo on March 26, 2015[1]?

Thanks in advance,

Joe

[0] http://pad.lv/1436940
[1] http://permalink.gmane.org/gmane.linux.drivers.ath10k.devel/2057

Comment #18 was a query to upstream on the <email address hidden> mailing list.

Սահակ (petrosyan) on 2015-08-13
description: updated
Joseph Salisbury (jsalisbury) wrote :

Recently Upstream has found a way to boot qca6164 with unofficial windows-extracted firmware images on ath10k[1]. However, they still don't have an official firmware release for qca61x4 family for ath10k though.

[1]: http://lists.infradead.org/pipermail/ath10k/2015-August/005752.html

Joseph Salisbury (jsalisbury) wrote :

Right after I posted my last comment, Upstream stated there is new firmware now available here:

https://github.com/kvalo/ath10k-firmware/commit/7f7e7dda33676ced293de477b03711199ffe5256

Please post how it works (or not).

1 comments hidden view all 166 comments

With the new files, I still get the ath10k/QCA6174/hw2.1/firmware-4.bin errors. Does the kernel need to be updated for a new driver that looks for a -5 firmware?

Dan Kegel (dank) wrote :

acer aspire e15 e5-573g-59c3 suffers from similar problem, but with lspci reporting 168c:0042 (rev 30),not 0041 (rev 20).

Dan Kegel (dank) wrote :

I'm willing to test, too, but the procedure is hard to extract from that email thread.

Joseph Salisbury (jsalisbury) wrote :

re: comment #23. Response from Upstream:

"Yes - either 4.2-rc or newer, or use Kalle's tree[1].

The qca6174 hw2.1 fix has been pulled into 4.1-stable[2] but it
doesn't understand the ignore_otp_result firmware feature flag so if
you rename the firmware-5.bin[3] to firmware-4.bin you'll need to load
ath10k_core module with "skip_otp=y" parameter.

Michał

[1]: https://github.com/kvalo/ath
[2]: https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?h=linux-4.1.y&id=b235edce5cbe4e978d44d8c57ec15afc4ba27d50
[3]: https://github.com/kvalo/ath10k-firmware/blob/7f7e7dda33676ced293de477b03711199ffe5256/ath10k/QCA6174/hw2.1/firmware-5.bin
"

Miles Krell (mileskrell) on 2015-08-19
description: updated
ravi119 (ravi119) on 2015-08-21
Changed in linux (Ubuntu Vivid):
status: Confirmed → Incomplete
status: Incomplete → Confirmed
Samuel Volin (untra) wrote :

Also affects the Lenovo U31 series. how soon can we see / test a fix?

Diego (d13g0) wrote :

I got my card working in Debian testing (I have a Qualcomm Atheros 168c:0041).

Here are the steps, get the latest backports from:

https://www.kernel.org/pub/linux/kernel/projects/backports/2015/07/31/

Get the latest firmware from:

https://github.com/kvalo/ath10k-firmware

Copy the firmware to /lib/firmware/ath10k, apply this patch to the code:

https://github.com/atondwal/linux/commit/22f8a4083883eca3e8a3175315d67d2a04392466

Compile the code and install, then apply this patch to the firmware:

https://github.com/atondwal/ath10k-firmware/tree/master/ath10k/QCA6164/hw2.1

Reboot and modprobe ath10k_pci. Do "lshw -C network"; "ip link show" or "rfkill list" to see if you got your card working.

Mine is working perfectly in my Debian (stretch / sid).

Diego (d13g0) wrote :

Oh, I forgot, also create a file named /etc/modprobe.d/ath10k.conf with the following line:

options ath10k_core skip_otp=y

Download full text (3.3 KiB)

Hi Diego,

Could you list down the steps to compile the setup.

*Thanks and Regards*
*Ravi Ranjan Karn*

On Fri, Aug 21, 2015 at 3:27 PM, Diego <email address hidden> wrote:

> Oh, I forgot, also create a file named /etc/modprobe.d/ath10k.conf with
> the following line:
>
> options ath10k_core skip_otp=y
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1436940
>
> Title:
> Atheros wifi 168c:0041(QCA6164) is not supported
>
> Status in linux package in Ubuntu:
> Confirmed
> Status in linux source package in Vivid:
> Confirmed
> Status in linux source package in Wily:
> Confirmed
>
> Bug description:
> The atheros wireless device (168c:0041) isn't supported by the
> ath10k_pci kernel driver.
>
> Found in several laptop models:
>
> Lenovo Z70
> Lenovo G50-45
> Lenovo G50-80
> Lenovo Edge 15
> Lenovo Yoga 3 11
> Lenovo Flex 3-1470
> Samsung ATIV Book 9 NP930X2K
>
> ProblemType: BugDistroRelease: Ubuntu 15.04
> Package: linux-image-3.19.0-9-generic 3.19.0-9.9
> ProcVersionSignature: Ubuntu 3.19.0-9.9-generic 3.19.1
> Uname: Linux 3.19.0-9-generic x86_64
> ApportVersion: 2.16.2-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nicholas 1695 F.... pulseaudio
> /dev/snd/controlC1: nicholas 1695 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Thu Mar 26 09:47:16 2015
> HibernationDevice: RESUME=UUID=5b068cd8-e60a-49b9-a88e-1581bb6b3dc1
> InstallationDate: Installed on 2015-03-25 (1 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64
> (20141022.1)
> IwConfig:
> eth0 no wireless extensions.
>
> lo no wireless extensions.
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 0cf3:e300 Atheros Communications, Inc.
> Bus 001 Device 003: ID 5986:0652 Acer, Inc
> Bus 001 Device 002: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129
> Card Reader Controller
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: LENOVO 80E5
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-9-generic
> root=UUID=e52867c5-0b50-42fb-8288-f30765f926c5 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.19.0-9-generic N/A
> linux-backports-modules-3.19.0-9-generic N/A
> linux-firmware 1.143SourcePackage: linux
> UpgradeStatus: Upgraded to vivid on 2015-03-26 (0 days ago)
> dmi.bios.date: 06/20/2014
> dmi.bios.vendor: LENOVO
> dmi.bios.version: B0CN69WW
> dmi.board.asset.tag: NO Asset Tag
> dmi.board.name: Lenovo G50-80
> dmi.board.vendor: LENOVO
> dmi.board.version: 31900058 WIN
> dmi.chassis.asset.tag: NO Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Lenovo G50-80
> dmi.modalias:
> dmi:bvnLENOVO:bvrB0CN69WW:bd06/20/2014:svnLENOVO:pn80E5:pvrLenovoG50-80:rvnLENOVO:rnLenovoG50-80:rvr31900058WIN:cvnLENOVO:ct10:cvrLenovoG50-80:
> dmi.product.name: 80E5
> dmi.product.version: Lenovo G50...

Read more...

@jsalisbury is there a 4.2 ubuntu kernel we could test with? Here's a tarball with the firmware files. It's unpacked as:

cd /lib/firmware
tar xf /tmp/ath10k-qca6174.tar.bz2

Bruno Viana (bbviana) wrote :

This firmware has worked for me, Kees!

- Samsung Ativ Book 9
- Atheros QCA6164

Kees Cook (kees) wrote :

I have not tested these, but IIUC, this is where to get an upstream kernel build, configured for Ubuntu, thought likely without Ubuntu-specific patches: http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/

Diego (d13g0) wrote :

Yes, steps are:

Get the latest backport from https://www.kernel.org/pub/linux/kernel/projects/backports/2015/07/31/ (the zip/tar file)
Uncompress somewhere
Patch the code with https://github.com/atondwal/linux/commit/22f8a4083883eca3e8a3175315d67d2a04392466
Then do:
make defconfig-ath10k
make
sudo make install

Then, get the latest firmware from https://github.com/kvalo/ath10k-firmware/archive/master.zip
Unzip and copy ath10k folder to /lib/firmware/ath10k
Copy these two files (overwrite what you got before) in /lib/firmware/ath10k/QCA6164/hw2.1:
https://github.com/atondwal/ath10k-firmware/tree/master/ath10k/QCA6164/hw2.1

Create a file named /etc/modprobe.d/ath10k.conf with the following line:

"options ath10k_core skip_otp=y"

Reboot and modprobe ath10k_pci. Do "lshw -C network"; "ip link show" or "rfkill list" to see if you got your card working.

Ryan (ryanw527) wrote :

Following Diego's steps above, "lshw -C network" no longer says my network card is unclaimed and the driver assigned to it is ath10k_pci. However, I see no difference in the functionality of the card (still can not use it).

Lenovo Flex 3 14"
QCA6164 168c:0041

Diego (d13g0) wrote :

Hi Ryan,

can you copy the outputs of "lshw -C network"; "sudo ip link show" and "sudo rfkill list" ? Can you check for relevant errors with dmesg ("dmesg | grep -i ath" / "dmesg | tail" or just all of dmesg) ?

Also, did you patch the firmware and create the conf file to skip_otp ?

Thanks,
Diego

Ryan (ryanw527) wrote :
Download full text (21.0 KiB)

Hi Diego,

I followed every step you outlined including patching the firmware and creating the conf file and adding the skip_otp line. Thank you for your help!

"sudo lshw -C network"

*-network
       description: Network controller
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 20
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: driver=ath10k_pci latency=0
       resources: irq:49 memory:e4000000-e41fffff
  *-network
       description: Ethernet interface
       product: RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: eth0
       version: 10
       serial: 54:ee:75:4e:86:b7
       size: 1Gbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=full firmware=rtl8168g-3_0.0.1 04/23/13 ip=192.168.1.4 latency=0 link=yes multicast=yes port=MII speed=1Gbit/s
       resources: irq:44 ioport:4000(size=256) memory:e4204000-e4204fff memory:e4200000-e4203fff

"sudo ip link show"

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP mode DEFAULT group default qlen 1000
    link/ether 54:ee:75:4e:86:b7 brd ff:ff:ff:ff:ff:ff

"sudo rfkill list"

0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
6: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

"dmesg | grep -i ath"

[ 2.035031] [<ffffffff81075b1a>] warn_slowpath_common+0x8a/0xc0
[ 2.035032] [<ffffffff81075b96>] warn_slowpath_fmt+0x46/0x50
[ 2.218428] ath10k_pci 0000:02:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 2.405198] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/cal-pci-0000:02:00.0.bin failed with error -2
[ 2.405407] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:0041:17aa:3545.bin failed with error -2
[ 2.405409] ath10k_pci 0000:02:00.0: failed to load spec board file, falling back to generic: -2
[ 3.583538] ath10k_pci 0000:02:00.0: received unsolicited fw crash interrupt
[ 3.583555] ath10k_pci 0000:02:00.0: received unsolicited fw crash interrupt
[ 3.584948] ath10k_pci 0000:02:00.0: firmware crashed! (uuid e628e267-4dee-4da1-8a51-ed236bd4fc19)
[ 3.584969] ath10k_pci 0000:02:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:0041:17aa:3545 fallback) fw WLAN.RM.1.1-00141 api 5 htt-ver 0.0 wmi-op 4 htt-op 3 cal otp max-sta 32 features ignore-otp,no-4addr-pad
[ 3.584973] ath10k_pci 0000:02:00.0: debug 1 debugfs 1 tracing 0 dfs 0 testmode 0
[ 3.587298] ath10k...

Diego (d13g0) wrote :
Download full text (4.4 KiB)

Hi,

clearly the firmware is crashing in your computer (wonder why). Do you have exactly the same chipset as me (lspci -nnk) ?

02:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0041] (rev 20)

Here are my outputs just FYI. I'm not sure why the firmware crashed in your box ("[ 3.584948] ath10k_pci 0000:02:00.0: firmware crashed! (uuid e628e267-4dee-4da1-8a51-ed236bd4fc19)", trying to look for the unsolicited fw crash interrupts).

  *-network
       description: Wireless interface
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlp2s0
       version: 20
       serial: f1:59:19:6f:94:3d
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath10k_pci driverversion=4.1.0-1-amd64 firmware=atheros-12.0.0.102-fw ip=10.1.1.4 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
       resources: irq:49 memory:e4000000-e41fffff
  *-network
       description: Ethernet interface
       product: RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: enp3s0
       version: 10
       serial: 65:ff:88:4d:ca:71
       size: 10Mbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=half latency=0 link=no multicast=yes port=MII speed=10Mbit/s
       resources: irq:43 ioport:4000(size=256) memory:e4204000-e4204fff memory:e4200000-e4203fff

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: enp3s0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN mode DEFAULT group default qlen 1000
    link/ether 65:ff:88:4d:ca:71 brd ff:ff:ff:ff:ff:ff
3: wlp2s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP mode DORMANT group default qlen 1000
    link/ether f1:59:19:6f:94:3d brd ff:ff:ff:ff:ff:ff

[ 5.866041] ath10k_pci 0000:02:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[ 6.056962] ath10k_pci 0000:02:00.0: firmware: failed to load ath10k/cal-pci-0000:02:00.0.bin (-2)
[ 6.056963] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/cal-pci-0000:02:00.0.bin failed with error -2
[ 6.057265] ath10k_pci 0000:02:00.0: firmware: failed to load ath10k/QCA6174/hw2.1/board-pci-168c:0041:17aa:3545.bin (-2)
[ 6.057266] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/QCA6174/hw2.1/board-pci-168c:0041:17aa:3545.bin failed with error -2
[ 6.057267] ath10k_pci 0000:02:00.0: failed to load spec board file, falling back to generic: -2
[ 6.057426] ath10k_pci 0000:02:00.0: firmware: direct-loading firmware ath10k/QCA6174/hw2.1/board.bin
[ 6.059061] ath10k_pci 0000:02:00.0: firmware: ...

Read more...

Diego (d13g0) wrote :

Mmm,

This is my dmesg:

[ 7.251278] ath10k_pci 0000:02:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:0041:17aa:3545 fallback) fw atheros-12.0.0.102-fw api 5 htt-ver 3.25 wmi-op 4 htt-op 3 cal otp max-sta 32 features

But yours is:

[ 3.584969] ath10k_pci 0000:02:00.0: qca6174 hw2.1 (0x05010000, 0x003405ff, 168c:0041:17aa:3545 fallback) fw WLAN.RM.1.1-00141 api 5 htt-ver 0.0 wmi-op 4 htt-op 3 cal otp max-sta 32 features ignore-otp,no-4addr-pad

So, it seems to me that you are using this firmware: https://github.com/kvalo/ath10k-firmware/tree/master/ath10k/QCA6174/hw2.1

When you should be using this one: https://github.com/atondwal/ath10k-firmware/tree/master/ath10k/QCA6164/hw2.1

I was reading my original message and it seems there are some typos, please copy the two files from https://github.com/atondwal/ath10k-firmware/tree/master/ath10k/QCA6164/hw2.1 to /lib/firmware/ath10k/QCA6174 (note the numbers do *not* match, that is the typo).

Diego (d13g0) wrote :

Edit: copy https://github.com/atondwal/ath10k-firmware/tree/master/ath10k/QCA6164/hw2.1 to /lib/firmware/ath10k/QCA6174/hw2.1 (overwriting the files that should already exist there).

Kees Cook (kees) on 2015-09-07
summary: - Atheros wifi 168c:0041(QCA6164) is not supported
+ Atheros wifi 168c:0041(QCA6174) is not supported
description: updated
Miles Krell (mileskrell) on 2015-11-09
summary: - Atheros wifi 168c:0041(QCA6174) is not supported
+ Atheros wifi 168c:0041(QCA6164) is not supported
86 comments hidden view all 166 comments
Frane (franemajic) wrote :

I have Lenovo G50-80 with Qualcomm Atheros Device [168c:0041] (rev 20) with Ubuntu 15.10.

I've done comments #81 and then #90. These worked for me.

Thank you Jeremy! Thank you all!

Miles Krell (mileskrell) on 2016-02-17
summary: - Atheros wifi 168c:0041(QCA6164) is not supported
+ Qualcomm Atheros QCA6164 802.11ac Wireless Network Adapter [168c:0041]
+ is not supported
Miles Krell (mileskrell) on 2016-02-17
description: updated
description: updated
Miles Krell (mileskrell) on 2016-02-17
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
no longer affects: linux-firmware (Ubuntu)
no longer affects: linux-firmware (Ubuntu Vivid)
no longer affects: linux-firmware (Ubuntu Wily)
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Miles Krell (mileskrell) on 2016-02-20
description: updated
Jeremy (wa113y3s) wrote :

Bradford Bonanno
I didn't have a 4.2 kernel installed when I created that dkms deb package and that is why it doesn't build

You will likely have to use the backports, install firmware from atondwal github site and set the skip_otp parameter

Miles Krell (mileskrell) on 2016-02-29
description: updated
description: updated
dagny (dtag1000) wrote :

whatever you do, if you are dualbooting, do not use these drivers.

for some reason, if you put them in the firmware file like the guide says, when you reboot, it deletes the whole dualboot partition.

major bug.

Miles Krell (mileskrell) wrote :

dagny, could you elaborate? I find it highly unlikely that adding firmware files for this card could have deleted a partition from a drive on your computer. Could your problem have something to do with the kernel you're using?

Limeth (limeth) wrote :

I have made a script that patches this incapability for the Lenovo U31-70 laptop. Works on elementary OS, should work on any Ubuntu 14.04. GitHub repository: https://github.com/Limeth/lenovo-u31-70-patches

Steps:

git clone https://github.com/Limeth/lenovo-u31-70-patches.git
cd lenovo-u31-70-patches/wireless-adapter-patch
chmod +x ./auto.sh
./auto.sh

I have a Lenovo G50-45 (QCA6164 Wireless network adapter) with Ubuntu 15.10 (Kernel 4.2) - fully updated as of 17 March 2016. I tried following the steps given under "How to Get this Card to Work:" in the Bug Description. lshw -C network showed QCA6164 as "Unclaimed".

Then following steps in #81 and #90 finally made the card work!!!

Thank you Jeremy!!! Considering my absolute zero knowledge of any kind of programming, the steps were really clear enough that I could follow them and make things work for me :)

janl (janl) wrote :

New Acer V3-372 laptop with Xenial Kubuntu. Non-working wifi. Hit google, find this ticket. Installed the Kvalo master firmware bundle and wifi worked right away.

Suggest inclusion of kvalo master bundle in Xenial.

Miles Krell (mileskrell) wrote :

Nithya, sorry about the guide. I forgot that the firmware files have their version number in their names, so they need to be renamed before they'll work. The guide has been updated to reflect this.

I'd appreciate if someone would try following the updated guide and telling me if it works now.

description: updated
AndyP (andy-gpshelp) wrote :

Hi, I have a brand new Acer F5-571 with a qualcomm atheros device and the wireless doesn't work. I removed windows10 and installed the latest ubuntu-mate wily 15.10 (same issue in mint 17.3). I'm somewhat of a newbie so please be gentle. I have tried a number of the points in this bug report to no avail, posts 81/90, the intro notes and others have all been tried. comment 118 didnt work, for some reason dkms would not install.
Kernel 4.2.0-34-generic
sudo lshw -C network
*-network UNCLAIMED
       description: Network controller
       product: Qualcomm Atheros
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:03:00.0
       version: 30
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress cap_list
       configuration: latency=0
       resources: memory:c1000000-c11fffff
lspci : 03:00.0 Network controller: Qualcomm Atheros Device 0042 (rev 30)

Really need to get this wireless card working. Suggestions? If so please step by step, don't assume I know how to do stuff.

AndyP (andy-gpshelp) wrote :

Just to clarify, the guide at the beginning of this report didn't work.

Miles Krell (mileskrell) wrote :

AndyP, thanks for telling me. I'd really like to reinstall Ubuntu and *then* follow my own guide to see if it works, but I don't want to do this with 16.04 right around the corner. Once it's released, I'll do this and get back to you guys.

I can tell you that I'm not using backports, as I just installed kernel 4.5 a few days ago, and the files in my /lib/firmware/ath10k were all deleted and then replaced following the steps in the guide. I'm also not using any of the dkms stuff that people have talked about for this card.

I guess there's still something I missed. Could you post the output of "modinfo ath10k_pci"?

Miles Krell (mileskrell) wrote :

Actually, hold on. Could you instead post the output of "lspci -nnk"? I think you might be using a different card.

Corey Taylor (feeltherussian) wrote :

As at March 18th 2016, confirming that following the guide at the top of the page as well as the Backports method as described at Comment #90 fixed the problem and wifi now works on my Acer Aspire V17. Have attached relevant output from lspci and modinfo confirming h/w configuration for those interested in comparing with their machines.

AndyP (andy-gpshelp) wrote :

Thanks Miles, output posted here: (last 2 lines relevant I think, but not sure exactly the part you wanted so excuse pasting all)

00:00.0 Host bridge [0600]: Intel Corporation Broadwell-U Host Bridge -OPI [8086:1604] (rev 09)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: bdw_uncore
00:02.0 VGA compatible controller [0300]: Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: i915
00:03.0 Audio device [0403]: Intel Corporation Broadwell-U Audio Controller [8086:160c] (rev 09)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: snd_hda_intel
00:14.0 USB controller [0c03]: Intel Corporation Wildcat Point-LP USB xHCI Controller [8086:9cb1] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: xhci_hcd
00:16.0 Communication controller [0780]: Intel Corporation Wildcat Point-LP MEI Controller #1 [8086:9cba] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: mei_me
00:1b.0 Audio device [0403]: Intel Corporation Wildcat Point-LP High Definition Audio Controller [8086:9ca0] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: snd_hda_intel
00:1c.0 PCI bridge [0604]: Intel Corporation Wildcat Point-LP PCI Express Root Port #1 [8086:9c90] (rev e3)
 Kernel driver in use: pcieport
00:1c.2 PCI bridge [0604]: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 [8086:9c94] (rev e3)
 Kernel driver in use: pcieport
00:1c.3 PCI bridge [0604]: Intel Corporation Wildcat Point-LP PCI Express Root Port #4 [8086:9c96] (rev e3)
 Kernel driver in use: pcieport
00:1d.0 USB controller [0c03]: Intel Corporation Wildcat Point-LP USB EHCI Controller [8086:9ca6] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: ehci-pci
00:1f.0 ISA bridge [0601]: Intel Corporation Wildcat Point-LP LPC Controller [8086:9cc3] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: lpc_ich
00:1f.2 SATA controller [0106]: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] [8086:9c83] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: ahci
00:1f.3 SMBus [0c05]: Intel Corporation Wildcat Point-LP SMBus Controller [8086:9ca2] (rev 03)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15)
 Subsystem: Acer Incorporated [ALI] Device [1025:098a]
 Kernel driver in use: r8169
03:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0042] (rev 30)
 Subsystem: Lite-On Communications Inc Device [11ad:0806]

I bit the bullet and bought a TP-Link nano wireless adaptor for now, but would still like to solve this.

AndyP (andy-gpshelp) wrote :

..and for completeness the modinfo ath10k_pci output
andy@andy-Aspire-F5-571:~$ modinfo ath10k_pci
filename: /lib/modules/4.2.0-34-generic/updates/drivers/net/wireless/ath/ath10k/ath10k_pci.ko
firmware: ath10k/QCA6174/hw3.0/board.bin
firmware: ath10k/QCA6174/hw3.0/firmware-5.bin
firmware: ath10k/QCA6174/hw3.0/firmware-4.bin
firmware: ath10k/QCA6174/hw2.1/board.bin
firmware: ath10k/QCA6174/hw2.1/firmware-5.bin
firmware: ath10k/QCA6174/hw2.1/firmware-4.bin
firmware: ath10k/QCA988X/hw2.0/board.bin
firmware: ath10k/QCA988X/hw2.0/firmware-5.bin
firmware: ath10k/QCA988X/hw2.0/firmware-4.bin
firmware: ath10k/QCA988X/hw2.0/firmware-3.bin
firmware: ath10k/QCA988X/hw2.0/firmware-2.bin
firmware: ath10k/QCA988X/hw2.0/firmware.bin
license: Dual BSD/GPL
description: Driver support for Atheros QCA988X PCIe devices
author: Qualcomm Atheros
version: backported from Linux (next-20150903-0-ga672f92) using backports backports-20150903-0-g7b34ea2
srcversion: 2C3D5FA5797C89E8231F86B
alias: pci:v0000168Cd00000040sv*sd*bc*sc*i*
alias: pci:v0000168Cd0000003Esv*sd*bc*sc*i*
alias: pci:v0000168Cd00000041sv*sd*bc*sc*i*
alias: pci:v0000168Cd0000003Csv*sd*bc*sc*i*
depends: ath10k_core,compat
vermagic: 4.2.0-34-generic SMP mod_unload modversions
parm: irq_mode:0: auto, 1: legacy, 2: msi (default: 0) (uint)
parm: reset_mode:0: auto, 1: warm only (default: 0) (uint)

Miles Krell (mileskrell) wrote :

AndyP, it looks like you do have a different card. Your card has the PCI ID of 168c:0042, while the QCA6164 has the PCI ID of 168c:0041.

According to http://forums.fedoraforum.org/showthread.php?t=305292, your card is the QCA9377. There's an open bug report for it at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1484159, but I think the following should work.

Your "modinfo ath10k_pci" output doesn't list the QCA9377 firmware files, but they are listed when *I* run this command. I have no idea when support for the card was added, but it's supported in 4.5 (what I'm running). It might be supported in backports somewhere, but the following should be simpler:

1) Install kernel 4.5. There's a guide at https://wiki.ubuntu.com/Kernel/MainlineBuilds.

2) Assuming you downloaded the firmware as explained in the above guide, you have to rename just one file like this:
    cd /lib/firmware/ath10k/QCA9377/hw1.0/
    sudo mv firmware-5.bin_WLAN.TF.1.0-00267-1 firmware-5.bin

If those steps worked for you, I'd put them in the bug report for the QCA9377. Good luck!

Miles Krell (mileskrell) wrote :

Forgot to say:

3) Reboot your computer. Run "sudo lshw -C network" to see if the card is recognized.

4) If it still isn't working, run "uname -r" to make sure you're running kernel 4.5.

AndyP (andy-gpshelp) wrote :

Miles, many thanks for the excellent instructions and analysis. As you may have realised, installing a new kernel is something I've not done before. Followed your lead (and that on the mainbuilds page and I now have a fully working system, using the internal wireless card, which is lightning quick! Thank you vm!
I will post your solution on the page for the other bug if that is ok?

THIS is the reason why I use Ubuntu!!! :)
Andy

PS. I learned a lot from this, so even better.

Miles Krell (mileskrell) wrote :

Great to hear! I actually didn't know anything AT ALL about this myself until I got my current laptop, less than a year ago. During that time, a lot of people have been working on these cards, and it's gotten easier and easier to get them to work.

Many thanks to Kalle Valo (for the ath10k firmware repo), Anish Tondwalkar (for his QCA6164 firmware), and Diego (for his guide which I originally followed).

Before I first got my card to work, I had to download the backports, apply a patch to them, compile them, install them, and download firmware from multiple places. Now, I just have to download ONE repository and move/rename a few files. All that's left is for someone to get this firmware included in Ubuntu.

As for your question, yes, feel free to spread the knowledge! It's great to have been able to help!

Miles Krell (mileskrell) wrote :

One last thing: I checked what you added to the other bug, and you'll want to add a link to kvalo's repo (https://github.com/kvalo/ath10k-firmware/).

Miles Krell (mileskrell) on 2016-03-20
description: updated
Miles Krell (mileskrell) wrote :

@AndyP Actually, I decided to just rewrite my guide for that card, as there were one or two things that were kind of unclear in the guide I wrote in the comments.

Miles Krell (mileskrell) on 2016-03-26
description: updated
Miles Krell (mileskrell) on 2016-04-22
description: updated
Download full text (7.0 KiB)

I upgraded to Ubuntu 16.04 LTS (4.4.0-21-generic) and my wifi now works out
of the box.
I was using a usb-wifi since I bought my Lenovo Yoga 3 and I'm very happy
because the builtin wifi card is much better.

This bug is solved for me!

However, I can't tell if the firmware I copied last month are used or not.

2016-04-22 19:14 GMT-04:00 Miles Krell <email address hidden>:

> ** Description changed:
>
> - This card remains unsupported out-of-the-box by the ath10k_pci kernel
> - module. At this point, it looks like kvalo's ath10k-firmware repo just
> - needs to be pulled in.
> + The firmware for this card isn't included with Ubuntu. The firmware
> + provided in /lib/firmware/ath10k/QCA6174 in Ubuntu 16.04 crashes when
> + used with this card. This included firmware is likely for the QCA6174
> + instead of this card, the QCA6164.
> +
> + Yes, you read that right: the files for the QCA6164 need to be a folder
> + called QCA6174 in order for the card to work. Running "modprobe
> + ath10k_pci" shows that the ath10k_pci module looks for firmware in a
> + folder called QCA6174, but not in any folder called QCA6164.
> +
> + It seems that before this issue can be resolved, the ath10k_pci module
> + must be changed so that it recognizes firmware for both the QCA6164 and
> + QCA6174, in separate folders.
>
>
> ---------------------------------------------------------------------------
>
> HOW TO GET THIS CARD TO WORK:
>
> - As of February 26, 2016, this has become rather simple.
> + 1) Use a kernel that supports this card
>
> - According to the Linux Wireless wiki, support was added in kernel 4.2
> - Your kernel is probably fine, but if it's older than 4.2, see
> + According to WikiDevi, support for this card was added in kernel 4.3.
> + If you're running Ubuntu 16.04 LTS or above, your kernel is fine; skip
> + to the next step. If you're running Ubuntu 15.10 or below, see
> https://wiki.ubuntu.com/Kernel/MainlineBuilds for info on installing a
> - newer one.
> + newer kernel. Alternatively, you can use backports. This is a lot more
> + work, but if you really need to keep using an older kernel for some
> + reason, there are some guides to installing backports in the comments
> + below.
>
> - 1) Get the latest firmware from https://github.com/kvalo/ath10k-
> - firmware/archive/master.zip
> + 2) Get rid of the firmware folder for this card that's included with
> + Ubuntu:
>
> - 2) Unzip this file, and copy the contents of ath10k-firmware-master to
> - /lib/firmware/ath10k.
> + sudo rm -r /lib/firmware/ath10k/QCA6174/
>
> - 3) Rename two of the firmware files like so:
> - cd /lib/firmware/QCA6174/hw2.1
> + 3) Download the latest firmware:
> +
> + wget https://github.com/kvalo/ath10k-firmware/archive/master.zip
> +
> + 4) Unzip the downloaded file. Inside the ath10k-firmware-master folder
> + is a folder named QCA6174. Copy the QCA6174 folder to
> + /lib/firmware/ath10k:
> +
> + unzip master.zip
> + sudo cp -r ath10k-firmware-master/QCA6174/ /lib/firmware/ath10k/
> +
> + 5) Rename two of the firmware files like so:
> +
> + cd /lib/firmware/ath10k/QCA6174/hw2.1/
> sudo mv firmware-5.bin_SW_RM.1.1.1-00157-QCARMSWPZ...

Read more...

I just updated to xubuntu 16.04 and it did not work out of the box. However the folder QCA6164 in /lib/firmware/ath10k is already there and I got it to work by simple renaming the folders:

sudo mv /lib/firmware/ath10k/QCA6174/ /lib/firmware/ath10k/QCA6174_moved/
sudo mv /lib/firmware/ath10k/QCA6164/ /lib/firmware/ath10k/QCA6174/

However I am still unable to set up an ad-hoc network to share the ethernet connection with my phone.

JJ (jleonpolanco) wrote :

Brian Murray
Thanks a lot, I have been struggling with this and boot issues with my own Qualcomm Atheros Card for about a day. Everything works fine now. Using Ubunto 16.04, Windows 10 with and Acer R 14.
Thanks again.

Nicolas (kounips) wrote :

Thanks so much Brian Murray,
I had installed Ubuntu 16.04 from scratch on my Lenovo U31-70 but the wifi wouldn't work. Followed your instructions and now all is good :).

Miles Krell (mileskrell) on 2016-05-23
description: updated
description: updated
description: updated

Well since I reported this bug I have found out that the linux-firmware from http://mirrors.kernel.org/ubuntu/pool/main/l/linux-firmware/linux-firmware_1.158_all.deb solved my and my sons 5GHz issue.

I ran these two commands:
wget http://mirrors.kernel.org/ubuntu/pool/main/l/linux-firmware/linux-firmware_1.158_all.deb
sudo dpkg -i linux-firmware_1.158_all.deb

As I stated in the forum "http://ubuntuforums.org/showthread.php?t=2325359&page=2"

After that the wireless card has been working as it should.

Seth Forshee (sforshee) wrote :

Please try the linux-firmware deb below, which is the version from xenial plus all updates to the QCA6174 which are in version 1.158. If this fixes the issues then I can work on getting these changes into xenial and possibly other releases. Thanks!

http://people.canonical.com/~sforshee/lp1436940/linux-firmware_1.157+lp1436940v201605310852_all.deb

Changed in linux-firmware (Ubuntu):
status: Confirmed → Incomplete
Miles Krell (mileskrell) wrote :

Seth Forshee,

The firmware in the .deb file you provided works perfectly. Thanks.

Changed in linux-firmware (Ubuntu):
status: Incomplete → Confirmed
Changed in linux-firmware (Ubuntu Xenial):
status: New → Confirmed
Changed in linux (Ubuntu Xenial):
status: New → Confirmed
Seth Forshee (sforshee) on 2016-06-22
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in linux-firmware (Ubuntu):
status: Confirmed → Fix Released
Seth Forshee (sforshee) on 2016-06-23
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed

Hello Brian, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Miles Krell (mileskrell) wrote :

linux-firmware version 1.157.2 fixes this bug.

tags: added: verification-done
Mike Chelen (mchelen) wrote :

confirmed working with 1.157.2 amd64 on lenovo thinkpa yoga 3 11"

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.2

---------------
linux-firmware (1.157.2) xenial; urgency=medium

  * Updates to fix problems with QCA6164 wireless support
    ath10k: QCA6174 hw3.0: add board-2.bin
    ath10k: QCA6174 hw2.1: add board-2.bin
    ath10k: QCA6174 hw2.1: update firmware-5.bin to SW_RM.1.1.1-00157-QCARMSWPZ-1
    -LP: #1436940

 -- Seth Forshee <email address hidden> Wed, 22 Jun 2016 08:03:37 -0500

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Kees Cook (kees) wrote :

Hm, not fixed for me. still seeing firmware crashes. :(

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Released → Confirmed
Changed in linux-firmware (Ubuntu):
status: Fix Released → Confirmed
Kees Cook (kees) wrote :

Adding ath10k/QCA6174/hw2.1/board-pci-168c:0041:17aa:3545.bin (from the working board.bin in this thread) seems to fix it, though:

e6adc90ecaf55edc656990c6c50193ac board-pci-168c:0041:17aa:3545.bin

Seth Forshee (sforshee) wrote :

@Kees: I assume it also works if file is just named board.bin? Since that's the way it would be installed if we ship it in linux-firmware ...

Kees Cook (kees) wrote :

Yup, but I wanted to avoid getting overwritten each time linux-firmware gets updated. ;)

Seth Forshee (sforshee) wrote :

I guessed as much, just making sure. I'll inquire as to why that board.bin hasn't been pushed out to linux-firmware yet, and as long as there isn't some reason why we shouldn't I'll pull it into xenial.

Seth Forshee (sforshee) wrote :

Hang on, there might be a problem. That file is from https://github.com/atondwal/ath10k-firmware and isn't in https://github.com/kvalo/ath10k-firmware that I can find. So as far as I know we don't have a license to redistribute that file.

I'll go ahead and inquire with Kalle, hopefully we can get something that works from QCA directly.

Seth Forshee (sforshee) wrote :

@Kees: Could you provide dmesg after the firmware crash you see with the board files from linux-firmware? Thanks!

Սահակ (petrosyan) on 2016-10-29
Changed in linux-firmware (Ubuntu):
status: Confirmed → Fix Released
Changed in linux-firmware (Ubuntu Xenial):
status: Confirmed → Invalid
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Vivid):
status: Confirmed → Invalid
Changed in linux (Ubuntu Wily):
status: Confirmed → Invalid
Changed in linux (Ubuntu Xenial):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 166 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.